Page MenuHomePhabricator

Drop wikilove_image_log table from Wikimedia wikis
Closed, ResolvedPublic

Description

The wikilove_image_log table has been completely unused since 2014: https://gerrit.wikimedia.org/r/#/c/182381/. It should be removed from all Wikimedia wikis.

Dropped from:

  • s1
  • s2
  • s3
  • s4
  • s5 (it didn't exist there when this was last checked at: T127219#3362388)
  • s6
  • s7
  • silver
  • labtestweb2001 (the table wasn't there)

Event Timeline

kaldari created this task.Feb 17 2016, 6:58 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added projects: DBA, Operations.
kaldari added a subscriber: kaldari.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 17 2016, 6:58 PM
jcrespo triaged this task as Low priority.Feb 17 2016, 7:03 PM
jcrespo added a subscriber: jcrespo.

Thanks for the report. I will do it. Triaging it as importance low as usually the risk/reward factor is high, but it has to be done, eventually.

jcrespo moved this task from Triage to Backlog on the DBA board.Feb 17 2016, 7:03 PM

The risk for removing this table is actually nill (or close to it) as nothing ever interfaced with it. It's only purpose was to accumulate data on how people were using the "Make you own" feature in WikiLove, as the product manager was skeptical that people would figure it out. Subsequent analysis of the data showed that the majority of users were using it as intended, so use of the table was discontinued.

Risk here is about executing "DROP" (operational rather than application related). I just wanted to clarify with my comment why it that kind of tasks have "low" priorty (in the larger order of things).

Current status - it looks like it has been partially deleted (or was never placed) on some wikis:

s1:

db1052.eqiad.wmnet
-rw-rw---- 1 mysql mysql 11M Jan 14  2015 /srv/sqldata/enwiki/wikilove_image_log.ibd

s2:

db1054.eqiad.wmnet
-rw-rw---- 1 mysql mysql 1.0M Nov 24  2014 /srv/sqldata/nowiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 8.0M Jan  3  2015 /srv/sqldata/ptwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 1.0M Jan 12  2015 /srv/sqldata/svwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 1.0M Jan 14  2015 /srv/sqldata/trwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 8.0M Jan  1  2015 /srv/sqldata/zhwiki/wikilove_image_log.ibd

s3:

db1075.eqiad.wmnet
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/enwikivoyage/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/fawiktionary/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/hiwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/iswiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/itwikiquote/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/itwikivoyage/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/mediawikiwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/mkwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/mlwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/officewiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/orwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/sewikimedia/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/siwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/srwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/svwikinews/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/testwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/urwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 /srv/sqldata/zhwikivoyage/wikilove_image_log.ibd

s4:

db1068
-rw-rw---- 1 mysql mysql 304K Apr  5 13:34 /srv/sqldata/commonswiki/wikilove_image_log.ibd

s5:

db1063.eqiad.wmnet
total 0

s6:

db1061.eqiad.wmnet
-rw-rw---- 1 mysql mysql 1.0M Dec 30  2014 /srv/sqldata/jawiki/wikilove_image_log.ibd

s7:

db1062.eqiad.wmnet
-rw-rw---- 1 mysql mysql 1.0M Jan 10  2015 /srv/sqldata/arwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 8.0M Dec 31  2014 /srv/sqldata/fawiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 1.0M Jan 11  2015 /srv/sqldata/hewiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 1.0M Jan 13  2015 /srv/sqldata/huwiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 1.0M Jan 12  2015 /srv/sqldata/kowiki/wikilove_image_log.ibd
-rw-rw---- 1 mysql mysql 1.0M Jul 26  2014 /srv/sqldata/viwiki/wikilove_image_log.ibd

Mentioned in SAL (#wikimedia-operations) [2017-06-20T09:29:51Z] <marostegui> Rename table on db1089 enwiki.wikilove_image_log - T127219

I have taken a backup of this tables at:

dbstore1001:/srv/tmp/T127219

It is tiny really:

root@dbstore1001:/srv/tmp/T127219# pwd
/srv/tmp/T127219
root@dbstore1001:/srv/tmp/T127219# du -sh .
1.3M	.
root@dbstore1001:/srv/tmp/T127219# ls -lh
total 1.2M
-rw-r--r-- 1 root root 1.1M Jun 20 09:19 s1_wikilove_image_log.sql
-rw-r--r-- 1 root root  38K Jun 20 09:21 s2_wikilove_image_log.tar.gz
-rw-r--r-- 1 root root  13K Jun 20 09:23 s3_wikilove_image_log.tar.gz
-rw-r--r-- 1 root root  22K Jun 20 09:24 s4_wikilove_image_log.tar.gz
-rw-r--r-- 1 root root 6.4K Jun 20 09:25 s6_wikilove_image_log.tar.gz
-rw-r--r-- 1 root root  35K Jun 20 09:26 s7_wikilove_image_log.tar.gz

I have renamed the table on db1089 for enwiki and will leave it there for a few days to make sure nothing breaks:

root@db1089[enwiki]> set session sql_log_bin=0;
Query OK, 0 rows affected (0.00 sec)

root@db1089[enwiki]> rename table wikilove_image_log to T127219_wikilove_image_log;
Query OK, 0 rows affected (0.01 sec)

To revert that change:

set session sql_log_bin=0; rename table T127219_wikilove_image_log to wikilove_image_log;
Marostegui moved this task from Backlog to In progress on the DBA board.Jun 20 2017, 9:42 AM

@Marostegui: Thanks for the info about the back-up. Might be useful data for some wiki archeologist one day :)

jcrespo added a comment.EditedJun 22 2017, 6:42 AM

@kaldari Note "backup" is a stretch of a term- it is a very temporary copy, meant to avoid an outage or a "where did the tables I was working with go?". We have ways of archiving long term datasets (like dumps), but that is not the case for those, and those should be requested separately. These tasks are precisely to drop the tables, not to preserve them.

Stress on will leave it there for a few days to make sure nothing breaks.

No worries. The purpose of this table was fulfilled years ago. It is safe to burn with fire.

This comment was removed by kaldari.
Marostegui updated the task description. (Show Details)Jun 26 2017, 6:41 AM

Mentioned in SAL (#wikimedia-operations) [2017-06-26T06:44:34Z] <marostegui> Drop table wikilove_image_log from s6 - T127219

Mentioned in SAL (#wikimedia-operations) [2017-06-26T06:45:43Z] <marostegui> Drop table wikilove_image_log from s4 - T127219

Mentioned in SAL (#wikimedia-operations) [2017-06-26T06:47:18Z] <marostegui> Drop table wikilove_image_log from s2 - T127219

Marostegui updated the task description. (Show Details)Jun 26 2017, 6:47 AM

Mentioned in SAL (#wikimedia-operations) [2017-06-26T06:49:34Z] <marostegui> Drop table wikilove_image_log from s7 - T127219

Marostegui updated the task description. (Show Details)Jun 26 2017, 6:49 AM

Mentioned in SAL (#wikimedia-operations) [2017-06-26T06:51:34Z] <marostegui> Drop table wikilove_image_log from s3 - T127219

Marostegui updated the task description. (Show Details)Jun 26 2017, 6:51 AM

Mentioned in SAL (#wikimedia-operations) [2017-06-26T06:55:14Z] <marostegui> Drop table wikilove_image_log from s1 - T127219

Marostegui updated the task description. (Show Details)Jun 26 2017, 6:55 AM

Mentioned in SAL (#wikimedia-operations) [2017-06-26T06:57:49Z] <marostegui> Drop table wikilove_image_log from silver - T127219

Marostegui closed this task as Resolved.Jun 26 2017, 6:58 AM
Marostegui updated the task description. (Show Details)

This is all done